# $Revision: 1.42 $, $Date: 2009/08/08 14:42:01 $
# TODO
# - make it not to scan root user plugins:
#  # /usr/bin/nspluginwrapper -v -a -i
#  Auto-install plugins from /usr/lib/nspluginwrapper/plugins
#  Looking for plugins in /usr/lib/nspluginwrapper/plugins
#  Install plugin /usr/lib/nspluginwrapper/plugins/libflashplayer.so
#    into /usr/lib64/browser-plugins/npwrapper.libflashplayer.so
#  Auto-install plugins from /root/.mozilla/plugins
#  Looking for plugins in /root/.mozilla/plugins
Summary:	Open Source compatibility plugin for Netscape 4 (NPAPI) plugins
Summary(pl.UTF-8):	Wtyczka Open Source dla kompatybilności z wtyczkami Netscape'a 4 (NPAPI)
Name:		nspluginwrapper
Version:	1.2.2
Release:	1
License:	GPL v2
Group:		Applications/Multimedia
Source0:	http://gwenole.beauchesne.info/projects/nspluginwrapper/files/%{name}-%{version}.tar.bz2
# Source0-md5:	197e3439aa7136addb88972e48c2fe4a
Patch0:		%{name}-plugindirs.patch
URL:		http://gwenole.beauchesne.info/en/projects/nspluginwrapper
BuildRequires:	gcc-c++-multilib
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.365
BuildRequires:	xorg-lib-libXt-devel
Requires:	browser-plugins >= 3.0
Requires:	linux32
# to have sound in flash player install 32bit alsa-lib
Requires:	libasound.so.2
ExclusiveArch:	%{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nspluginwrapper is an Open Source compatibility plugin for Netscape 4
(NPAPI) plugins. That is, it enables you to use plugins on platforms
they were not built for. For example, you can use the Adobe Flash
plugin with x86-64 compiled Mozilla browsers.

%description -l pl.UTF-8
nspluginwrapper to wtyczka Open Source dla kompatybilności z wtyczkami
Netscape'a 4 (NPAPI). Pozwala używać wtyczek na platformach, dla
których nie zostały zbudowane. Na przykład można używać wtyczki Adobe
Flash z przeglądarkami Mozilla zbudowanymi na architekturę x86-64.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-biarch
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# we pretend we're browser for x86 ;)
install -d $RPM_BUILD_ROOT%{_prefix}/lib/%{name}/plugins
%browser_plugins_add_browser %{name} -p %{_prefix}/lib/%{name}/plugins -a i386 -b <<'EOF'
# use 64bit versions

# mplayerplug-in
mplayerplug-in*

# browser-plugin-helixplayer
nphelix.*

# browser-plugin-gplflash
libnpflash.so

# browser-plugin-gpac
nposmozilla.*

# browser-plugin-djvulibre
nsdejavu.so

# java-sun: libjavaplugin_oji.so is not a valid NPAPI plugin
libjavaplugin_oji.so

libcult3dplugin.so
kaffeineplugin.so
npfreewrl.so
EOF

%{__make} -j1 install \
	DONT_STRIP=yes \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

# uh.
# first we call update-browser-plugins to make links to our browser dir
# then we call nspluginwrapper -v -[ui] to create npwrapper.*.so plugins
# then we call update-browser-plugins once again to create links to 64bit browser plugins dir

%post
umask 022
%update_browser_plugins
if [ "$1" = 1 ]; then
	%{_bindir}/%{name} -v -a -i
else
	%{_bindir}/%{name} -v -a -u
fi
%update_browser_plugins

%preun
if [ "$1" = 0 ]; then
	rm -f %{_browserpluginsdir}/npwrapper.*.so
	%{_bindir}/%{name} -v -a -r
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/nspluginplayer
%attr(755,root,root) %{_bindir}/nspluginwrapper
%dir %{_prefix}/lib/nspluginwrapper
%dir %{_prefix}/lib/nspluginwrapper/i386
%dir %{_prefix}/lib/nspluginwrapper/i386/linux
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/i386/linux/libnoxshm.so
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/i386/linux/libxpcom.so
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/i386/linux/npviewer
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/i386/linux/npviewer.bin
%dir %{_prefix}/lib/nspluginwrapper/noarch
#%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/noarch/mkruntime
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/noarch/npviewer
%dir %{_prefix}/lib/nspluginwrapper/x86_64
%dir %{_prefix}/lib/nspluginwrapper/x86_64/linux
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/x86_64/linux/npconfig
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/x86_64/linux/npplayer
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/x86_64/linux/npwrapper.so

# you should put plugins here you want to be automatically used in 64bit browsers
%dir %{_prefix}/lib/%{name}/plugins
%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nspluginwrapper.spec,v $
Revision 1.42  2009/08/08 14:42:01  hawk
- updated to 1.2.2

Revision 1.41  2009/08/08 12:50:22  hawk
- revert

Revision 1.40  2009/08/08 12:44:29  hawk
- BR: xorg-proto-xextproto-devel

Revision 1.39  2009/08/08 12:41:32  hawk
- no parallel make in %install

Revision 1.38  2008/09/22 16:53:19  glen
- merge changes from AC-branch

Revision 1.37  2008/09/16 18:19:44  arvenil
- up to 1.0.0

Revision 1.36  2008/06/18 08:46:04  glen
- browser plugins 3.0 handles nspluginwrapper wrappers

Revision 1.35  2008/06/18 08:15:04  glen
- add /root plugins todo, install todo is now browser-plugins part

Revision 1.34  2007/09/01 09:58:57  glen
- 0.9.91.5, flash in konqueror works too

Revision 1.33  2007/06/14 21:42:57  glen
- hit this several times

Revision 1.32  2007/06/01 13:36:46  pluto
- BR: gcc-c++-multilib.

Revision 1.31  2007/05/31 10:59:02  pluto
- updated to 0.9.91.4.

Revision 1.30  2007/04/17 19:10:50  glen
- this way it's better

Revision 1.29  2007/04/17 19:09:18  glen
- note about sound in flash plugin

Revision 1.28  2007/03/29 20:24:53  glen
- rel 1

Revision 1.27  2007/03/07 21:56:27  glen
- 0.9.91.3

Revision 1.26  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.24  2007/02/05 21:28:08  glen
- still exclude java-sun plugin

Revision 1.23  2007/01/27 12:41:53  pascalek
- BR: libstdc++-devel, xorg-lib-libXt-devel

Revision 1.22  2007/01/12 10:32:38  qboosh
- BR: pkgconfig
- use umask 022

Revision 1.21  2007/01/10 21:00:08  glen
- more excludes for plugins which have amd64 version available

Revision 1.20  2007/01/10 14:24:56  glen
- duh, no 64bit java plugin out there. thx blues

Revision 1.19  2007/01/10 14:19:57  glen
- updated exclude list

Revision 1.18  2007/01/10 13:43:39  glen
- need 32bit glibc-devel
- more excludes which have 64bit plugins

Revision 1.17  2007/01/10 02:09:29  glen
- must call twice update-browser-plugins

Revision 1.16  2007/01/10 02:04:58  glen
- use fixed macros

Revision 1.15  2007/01/10 02:02:27  glen
- exclude plugins which have 64bit version

Revision 1.14  2007/01/10 01:58:09  glen
- works for me; rel 1

Revision 1.13  2007/01/10 01:56:06  glen
- create separate dir for plugins

Revision 1.12  2007/01/10 01:07:47  glen
- reset umask for nspluginwrapper prog

Revision 1.11  2007/01/10 00:39:16  glen
- patch plugin dirs

Revision 1.10  2007/01/10 00:30:30  glen
- missing dir

Revision 1.9  2007/01/10 00:24:12  glen
- package nspluginwrapper symlink

Revision 1.8  2007/01/10 00:22:41  glen
- add %post and browser-plugins v2

Revision 1.7  2007/01/10 00:17:58  glen
- add %doc

Revision 1.6  2007/01/10 00:14:54  glen
- wrapper needs linux32 executable
- add exclusivearch

Revision 1.5  2007/01/10 00:04:34  glen
- finished files
- needs 32bit libsupc++.a

Revision 1.4  2007/01/09 23:55:08  glen
- 0.9.91.2
- supposedly works with flash according to
  http://blogs.adobe.com/penguin.swf/2006/10/whats_so_difficult_64bit_editi.html#comment-53310

Revision 1.3  2006/11/06 19:16:23  qboosh
- pl

Revision 1.2  2006/10/19 21:11:29  glen
- don't strip on install (rpm does that)
- adapter, todo update

Revision 1.1  2006/10/19 20:03:16  blues
- initial - allow to run plugins built for another architecture
  (i.e. flash). Needs some discussion about packaging and browser-plugins
  deps.
